/*
	Sokonux - 1.0.3
  Copyright (C) 2007  Daniel Ponsoda Montiel

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef Menu_h
#define Menu_h

#include "Programa.h"

#define OPC_JUGAR 1
#define OPC_CONTINUAR 2
#define OPC_EDITOR 3
#define OPC_RECORDS 4
#define OPC_SALIR -1

// Clase Menu heredada de Programa
class Menu : public Programa {

  // Metodos publicos
  public:
    // Constructor de la clase
    Menu();

    // Destructor de la clase
    virtual ~Menu();

    // Comprobar teclado y raton
    void comprobarEntrada();

    // Actualiza la pantalla del menu
    void actualizarPantalla();

    // Comprueba las opciones elegidas.
    void comprobarEstado();

  // Atributos publicos
  public:
    int opcion;
    int marcar;

};
#endif
